function [mat,names] = matrixOfAllResults(cellarray)
%  mat = matrixOfAllResults(cellarray)
%  mat = matrixOfAllResults(allresults.msf.allresults);

mat = [];

[r,c] = size(cellarray);
for testtrial = 1:r
  onemat = [];
  for ps = 1:c
    [v,names] = getfields(cellarray{testtrial,ps}{1});
    onemat = [onemat; testtrial v cellarray{testtrial,ps}{2}];
  end
  mat = [mat;onemat];
end
names = {'TestTrial' names{:} 'Test RMSE'};

